import { request, getRequestParameter } from '@/utils/request';

/**
 * @description 得到我的机构列表
 */
export function getMyOrgList() {
  let params = getRequestParameter('org-org_manager-GetMyOrgList');

  return request({
    method: 'post',
    url: process.env.VUE_APP_LearnWebSI,
    params
  });
}

/**
 * @description 分页查询教材列表
 * @param {Object} Parameter 查询条件
 */
export function PageQueryBookList(Parameter) {
  let params = getRequestParameter('book-book_manager-PageQueryBookList', Parameter);
  return request({
    method: 'post',
    url: process.env.VUE_APP_BookWebSI,
    params
  });
}

/**
 * @description 分页查询教材列表（为课程选择配套教材）
 * @param {Object} Parameter 查询条件
 * @returns
 */
export function PageQueryBookList_SelectBookForCourse(Parameter) {
  let params = getRequestParameter(
    'cominfo_query-book_query-PageQueryBookList_SelectBookForCourse',
    Parameter
  );
  return request({
    method: 'post',
    url: process.env.VUE_APP_LearnWebSI,
    params
  });
}
